---
title: "Reviews"
description: "Yandex에서 장소의 리뷰를 가져옵니다."
---

> Every apinoa docs page as markdown: https://apinoa.com/llms.txt (all in one file: https://apinoa.com/llms-full.txt; this API family in one file: https://apinoa.com/docs/serp/llms.txt)

```http
GET | POST /v1/yandex/reviews
```

파라미터는 `GET`의 쿼리 문자열로도, `POST`의 JSON 본문으로도 보낼 수 있습니다. 둘은 같습니다.

## 요청

```bash tab="cURL"
curl "https://gateway.apinoa.com/v1/yandex/reviews?place=19464848293&limit=5" \
  -H "x-api-key: $APINOA_API_KEY"
```

```js tab="JavaScript"
const params = new URLSearchParams({ place: "19464848293", limit: "5" });
const res = await fetch(`https://gateway.apinoa.com/v1/yandex/reviews?${params}`, {
  headers: { "x-api-key": process.env.APINOA_API_KEY },
});
const { success, data, error } = await res.json();
```

```python tab="Python"
import os

import requests

res = requests.get(
    "https://gateway.apinoa.com/v1/yandex/reviews",
    params={"place": "19464848293", "limit": "5"},
    headers={"x-api-key": os.environ["APINOA_API_KEY"]},
)
body = res.json()
```

## 파라미터

| Parameter | Type | Required | Notes |
|---|---|---|---|
| `cursor` | string |  | The previous page's `cursor`. Pass it alone for the next page. |
| `limit` | integer 1–200 |  | Results wanted (default 50, at most 200). More than one page is charged per page. |
| `place` | string |  | The place's id, as `places` returns it. |
| `sort` | enum |  | Review order. `relevant` `newest` `highest` `lowest` |

The same parameters, and every response type, are in the OpenAPI document: https://apinoa.com/openapi.json

## 응답

`data`에 [`PlaceReviewsPage`](/docs/api-reference/serp/response-schema#placereviewspage)를 돌려줍니다. 실제 응답을 줄인 것입니다. 배열은 앞쪽 항목만 남기고 긴 텍스트는 잘랐습니다.

```json
{
  "success": true,
  "data": {
    "engine": "yandex",
    "placeId": "19464848293",
    "summary": {"average": 4.9, "count": 6132},
    "sort": "relevant",
    "page": {"index": 1, "size": 50, "total": 2757},
    "reviews": [
      {
        "id": "BNGlcaXPdYB7jJ_dUUZoOqYNlJVzIy",
        "author": "mark hewstone",
        "authorId": "hq1p0pnw1zedpgb6jwvdazhgxg",
        "rating": 5,
        "body": "A chain of fish restaurants in Moscow. Don't let that put you off thou…",
        "date": "2025-01-22T19:06:20.329Z",
        "helpfulCount": 1,
        "images": ["https://avatars.mds.yandex.net/get-altay/13947802/2a000001948f68975ae7…"],
        "language": "en",
        "reply": {"body": "Благодарим за высокую оценку!", "date": "2025-01-27T13:11:08.395Z"},
        "ext": {
          "authorLevel": "Level 12 Local Expert",
          "translations": {
            "ru": "Сеть рыбных ресторанов в Москве. Пусть это вас не смущает. Интересный…",
            "tr": "Moskova'da bir balık restoranları zinciri. Bunun seni ertelemesine izi…"
          }
        }
      }
    ],
    "cursor": "G5rcJ9qpiXbUoI3CB_hBjl9E0MXaTAbw_0wIeTRLSqR-AuuY0_8FgFyJ31bBOmDWWKTRkg…",
    "fetchedAt": "2026-10-30T01:02:41.286Z",
    "ext": {
      "aspects": [
        {
          "text": "Meal",
          "count": 2275,
          "positive": 2002,
          "neutral": 58,
          "negative": 215,
          "photos": ["https://avatars.mds.yandex.net/get-altay/11244149/2a0000018c54982d3cc0…"]
        }
      ],
      "place": {
        "id": "19464848293",
        "name": "Ryba moya",
        "url": "https://yandex.com/maps/org/ryba_moya/19464848293/",
        "address": {
          "full": "Moscow, Slavyanskaya Square, 2",
          "street": "Slavyanskaya Square, 2",
          "city": "Moscow",
          "postalCode": "109012",
          "country": "Russian Federation"
        },
        "coordinates": {"lat": 55.753391, "lng": 37.633956},
        "categories": ["Restaurant"],
        "rating": 4.9,
        "reviewCount": 2744,
        "priceLevel": "Avg. bill: from 3000 ₽",
        "phone": "+7 (495) 784-68-58",
        "website": "https://rybamoya.ru/",
        "hours": [{"day": "daily", "hours": "12:00 PM–12:00 AM"}],
        "photos": ["https://avatars.mds.yandex.net/get-altay/5517598/2a0000017ebeb4da3c875…"],
        "attributes": [{"group": "Prices", "label": "average bill", "value": "3000–3500 ₽"}],
        "status": "closed",
        "lang": "en",
        "ext": {
          "subtitle": "Moscow, Slavyanskaya Square, 2",
          "ratingCount": 6132,
          "photoCount": 499,
          "openNow": "Closed until 12:00 PM",
          "metro": [{"name": "Kitay-Gorod", "distance": "35 m", "type": "metro", "color": "#8647b2"}],
          "stops": [{"name": "Метро Китай-город", "distance": "41 m", "type": "common"}],
          "ad": true,
          "verifiedOwner": true,
          "logo": "https://avatars.mds.yandex.net/get-altay/9720991/2a0000018853197f7fb60…",
          "socialLinks": [
            {
              "type": "telegram",
              "href": "https://t.me/perelmanrestaurants",
              "readableHref": "@perelmanrestaurants"
            }
          ],
          "price": {"item": "Avg. bill", "from": 3000, "to": 3500, "currency": "₽"},
          "popularTimes": {
            "monday": [0],
            "tuesday": [0],
            "wednesday": [0],
            "thursday": [0],
            "friday": [0],
            "saturday": [0],
            "sunday": [0]
          },
          "menu": {
            "items": [
              {
                "title": "Сашими из лосося",
                "description": "Тонко нарезанное филе подаём с маринованным имбирём. Дополняем соевым…",
                "price": 1190,
                "currency": "₽",
                "volume": "85 g",
                "image": "https://avatars.mds.yandex.net/get-eda/17780111/9bed7a6d1dc748758ccd6b…",
                "url": "https://eda.yandex/restaurant/ryba_moya_slavyanskaya_ploshhad_2",
                "category": "popular"
              }
            ],
            "total": 49,
            "kind": "food",
            "source": "Yango Deli",
            "updated": "2026-10-04T09:23:14Z"
          },
          "advert": {
            "advertiser": "ООО \"СЫТОСТЬ\"",
            "advertiserTin": "7702407463",
            "products": [
              {
                "title": "Рулетики из форели",
                "price": "1 690 р.",
                "priceValue": 1690,
                "currency": "RUB",
                "image": "https://avatars.mds.yandex.net/get-tycoon/18984817/2a0000019eab71c29be…",
                "url": "https://rybamoya.ru/?utm_source=yandex_business&utm_medium=branding_pr…"
              }
            ]
          },
          "additionalAddress": "Рыба моя, этаж -1",
          "utcOffset": "+03:00",
          "entrances": [{"lat": 55.75341237, "lng": 37.63391087, "azimuth": 307.640383403427}],
          "panorama": "https://static-pano.maps.yandex.ru/v1/?panoid=1298236030_673226614_23_…",
          "goodPlaceYear": 2026,
          "unusualHours": ["2026-11-04"],
          "accessibilityPhotos": [
            {
              "url": "https://avatars.mds.yandex.net/get-altay/4544819/2a00000178da7958d7963…",
              "tags": ["Entrance"],
              "width": 960,
              "height": 1280,
              "author": "Яндекс",
              "date": "2021-04-14T19:19:29Z"
            }
          ],
          "sources": [{"name": "Яндекс", "url": "ya.ru"}]
        }
      }
    }
  }
}
```

## 에러

| 상태 | 코드 | 의미 |
|---|---|---|
| 400 | `INVALID_CURSOR` | 이 오퍼레이션이 돌려준 `cursor`가 아닙니다. `cursor` 없이 처음부터 다시 호출하세요. |
| 400 | `INVALID_PARAMS` | 파라미터가 없거나, 알 수 없거나, 범위를 벗어났거나, 이 엔진이 받지 않는 값입니다. 메시지에 이름이 나옵니다. |
| 401 | `UNAUTHORIZED` | `x-api-key` 헤더가 없거나, 폐기되었거나 알 수 없는 키입니다. |
| 402 | `INSUFFICIENT_BALANCE` | 잔액이 이 호출 비용에 모자랍니다. 대시보드에서 충전하세요. |
| 404 | `NOT_FOUND` | 장소가 없습니다. |
| 429 | `MARKETPLACE_SATURATED` | 동시 호출이 너무 많습니다. `Retry-After` 초만큼 기다린 뒤 다시 시도하세요. |
| 502 | `UPSTREAM_ERROR` | 엔진이 쓸 수 없는 응답을 보냈습니다. 간격을 두고 다시 시도하세요. |
| 503 | `SERVICE_UNAVAILABLE` | 일시적인 장애입니다. 간격을 두고 다시 시도하세요. |

모든 코드는 [Errors](/docs/errors)에 있습니다. 실패한 호출은 과금되지 않습니다.

## 가격

**Price** $0.0012 per call, plus $0.0012 for each extra call it makes — at most 3 more, so $0.0048 in total. [List price](https://apinoa.com/en/pricing); the rate steps down above 1,000 calls a day.

## 참고

- `places`가 돌려준 장소의 `id`를 `place`로 넘깁니다.
